Subject: Re: bisect: "won't bisect on seeked tree"

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 21 Feb 2008 00:43:32 -0500

Mike Galbraith <[email-masked]> wrote:
> On Thu, 2008-02-21 at 00:33 -0500, Shawn O. Pearce wrote:
> > Mike Galbraith <[email-masked]> wrote:
> > > I have no idea how tree became "seeked", but would love to know how to
> > > "un-seek" it so I can proceed with a bisection.  Help?
> > 
> > I think you are already in the middle of a bisect.
> > 
> > Try "git bisect reset" first to get out of the current bisect before
> > starting another one.
> 
> It says "We are not bisecting".

Your repository is in a funny state.  The file .git/BISECT_NAMES
was removed but .git/head-name was not.  Deleting .git/head-name
should resolve the issue.  But it would be interesting to know how
the repository came into this state.

-- 
Shawn.